BuildRequires: /proc
BuildRequires: jpackage-compat
%define namedversion 1.0-alpha-2

# If you don't want to build with maven, and use straight ant instead,
# give rpmbuild option '--without maven'

%define with_maven %{!?_without_maven:1}%{?_without_maven:0}
%define without_maven %{?_without_maven:1}%{!?_without_maven:0}


Name:		maven-enforcer-rule-api
Version:	1.0
Release:	alt2_0.1.a2.1.3jpp6
Summary:	Generic interfaces needed by maven-enforcer-plugin

Group:		Development/Java
License:	Apache Style
URL:		http://svn.apache.org/repos/asf/maven/shared/tags/maven-enforcer-rule-api-1.0-alpha-2

# svn export http://svn.apache.org/repos/asf/maven/shared/tags/maven-enforcer-rule-api-1.0-alpha-2
# tar czf maven-enforcer-rule-api-1.0-alpha-2-src.tar.gz maven-enforcer-rule-api-1.0-alpha-2
Source0:	maven-enforcer-rule-api-%{namedversion}-src.tar.gz
Source1:        %{name}-jpp-depmap.xml


BuildArch:		noarch
BuildRequires: jpackage-utils >= 0:1.7.2
BuildRequires: ant >= 0:1.6.5
BuildRequires: ant-junit
%if %{with_maven}
BuildRequires: maven2 >= 0:2.0.4
BuildRequires: maven2-plugin-ant
BuildRequires: maven2-plugin-assembly
BuildRequires: maven2-plugin-checkstyle
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-plugin
BuildRequires: maven2-plugin-pmd
BuildRequires: maven2-plugin-project-info-reports
BuildRequires: maven2-plugin-resources
BuildRequires: maven2-plugin-site
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-doxia
BuildRequires: maven-doxia-sitetools
BuildRequires: checkstyle4
BuildRequires: plexus-maven-plugin >= 0:1.3.5
BuildRequires: qdox < 1.6.2
BuildRequires: tomcat5
BuildRequires: tomcat5-servlet-2.4-api
BuildRequires: excalibur-avalon-logkit
BuildRequires: excalibur-avalon-framework
%endif

Requires: maven2
Requires(post): jpackage-utils >= 0:1.7.2
Requires(postun): jpackage-utils >= 0:1.7.2
Source44: import.info
Provides: maven-shared-enforcer-rule-api = %{version}-%{release}


%description
This component provides the generic interfaces needed to implement custom
rules for the maven-enforcer-plugin.

%package javadoc
Summary:	Javadoc for maven-enforcer-rule-api
Group:		Development/Documentation
BuildArch: noarch

%description javadoc
Java API documentation for enforcer-rule-api.

%prep
%setup -q -n %{name}-%{namedversion}

%build

export MAVEN_REPO_LOCAL=`pwd`/.m2
mkdir $MAVEN_REPO_LOCAL

mvn-jpp -Dmaven.compile.target=1.5 -Dmaven.javadoc.source=1.5  \
    -Dmaven.test.failure.ignore=true \
    -Dmaven2.jpp.depmap.file=%{SOURCE1} \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    install javadoc:javadoc

%install

# install jar
install -dm 755 $RPM_BUILD_ROOT/%{_javadir}
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT/%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT/%{_javadir}/%{name}.jar

#install pom
install -dm 755 $RPM_BUILD_ROOT/%{_datadir}/maven2/poms
cp -p pom.xml $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-maven-enforcer-rule-api.pom

#depmap entry
%add_to_maven_depmap org.apache.maven.shared maven-enforcer-rule-api %{namedversion} JPP maven-enforcer-rule-api

# install javadoc
install -dm 755 $RPM_BUILD_ROOT/%{_javadocdir}/%{name}
cp -a target/site/* $RPM_BUILD_ROOT/%{_javadocdir}/%{name}/

%files
%{_javadir}/*
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}

%files javadoc
%{_javadocdir}


%changelog
* Sun Feb 20 2011 Igor Vlasenko <viy@altlinux.ru> 1.0-alt2_0.1.a2.1.3jpp6
- new version

* Tue Sep 28 2010 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_0.1.a2.1.3jpp6
- new version

